From 46adba48e2e4c584cd5e10d5b7d645c712450d97 Mon Sep 17 00:00:00 2001
From: Leonard de Ruijter <alderuijter@gmail.com>
Date: Tue, 18 Aug 2015 14:04:10 +0200
Subject: [PATCH] Made the ease of access code (#308) use the winVersion code
 introduced in #3724

---
 source/easeOfAccess.py | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/source/easeOfAccess.py b/source/easeOfAccess.py
index d5b980f..06b1011 100644
--- a/source/easeOfAccess.py
+++ b/source/easeOfAccess.py
@@ -7,16 +7,15 @@
 """Utilities for working with the Windows Ease of Access Center.
 """
 
-import sys
 import _winreg
 import ctypes
 import winUser
+from winVersion import winVersion
 
-winVer = sys.getwindowsversion()
 # Windows >= Vista
-isSupported = winVer.major >= 6
+isSupported = winVersion.major >= 6
 # Windows >= 8
-canConfigTerminateOnDesktopSwitch = isSupported and (winVer.major, winVer.minor) >= (6, 2)
+canConfigTerminateOnDesktopSwitch = isSupported and (winVersion.major, winVersion.minor) >= (6, 2)
 
 ROOT_KEY = r"Software\Microsoft\Windows NT\CurrentVersion\Accessibility"
 APP_KEY_NAME = "nvda_nvda_v1"
-- 
1.9.5.msysgit.1

